# JavaToolchainRequest

@Incubating
interface JavaToolchainRequest

Describes Java toolchains that need to be auto-provisioned, including their properties (see JavaToolchainSpec} and the build environment they are needed in.

#### Since

7.6

## Functions

getBuildPlatform
Link copied to clipboard
abstract fun getBuildPlatform(): BuildPlatform
getJavaToolchainSpec
Link copied to clipboard
abstract fun getJavaToolchainSpec(): JavaToolchainSpec